Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000800Core InformUnderstandingpublic2011-11-07 13:072014-05-07 07:33
Assigned Tograham 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000800: Something placed in scope matches the multiinside token.
DescriptionWhen you have placed exactly one thing (x) in scope, "get all from y" (where y can be anything except a non-empty supporter or container) is parsed as "remove x from y".
Minimal Source Text To Reproduce
The Balcony is a room. "Overlooking the great fountain below."
The bench is an enterable supporter in the balcony. 

The Garden is down from the balcony. The fountain is fixed in place in the garden. 
After deciding the scope of the player when in the balcony: place the fountain in scope.

The player carries a key.

Test me with "get all from bench / get all from key".
Additional InformationThis is what should happen:

>get all from bench
The bench is empty.

>get all from key
That can't contain things.

This is the actual transcript:

>get all from bench
You can't reach into the Garden.

>get all from key
You can't reach into the Garden.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
graham (administrator)
2014-02-16 15:14

Fixed. The circumstances are fairly remote, but it could also affect "multiexcept".

- Issue History
Date Modified Username Field Change
2011-11-07 13:07 gnomon New Issue
2011-11-11 10:46 EmacsUser Status new => confirmed
2014-02-16 15:14 graham Note Added: 0002518
2014-02-16 15:14 graham Status confirmed => resolved
2014-02-16 15:14 graham Resolution open => fixed
2014-02-16 15:14 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker